---
server:
    install: '1'
    packages:
        - vim
        - git
        - zip
        - imagemagick
        - htop
        - iotop
        - pkg-config
        - libzmq3-dev
        - supervisor
        - ruby-dev
        - sqlite3
        - libsqlite3-dev
        - memcached
        - build-essential
        - libssl-dev
        - libjpeg-dev
        - libgif-dev
        - libfreetype6-dev
        - unoconv
        - xpdf
        - libav-tools
        - gpac
    timezone: UTC
    locales:
        - en_GB.UTF-8
        - fr_FR.UTF-8
        - de_DE.UTF-8
        - nl_NL.UTF-8
vagrant_local:
    install: '1'
    vm:
        base_box: trusty64
        memory: '4096'
        sharedfolder: ./
        useVagrantCloud: '1'
        syncType: nfs
nginx:
    install: '1'
    docroot: /vagrant
mariadb:
    install: '1'
    root_password: toor
    appbox_db: ab_master
    databox_db: db_master
    alt_databox_db: db_alt
    test_appbox_db: ab_test
    test_databox_db: db_test
    user: phraseanet
    password: phraseanet
    dump: ''
elasticsearch:
    install: '1'
    port: '9200'
    version: '1.7.3'
    plugins:
        - {name: 'elasticsearch/elasticsearch-analysis-icu', version: '2.7.0'}
php:
    install: '1'
    ppa: php
    packages:
        - 'php5.6-cli'
        - 'php5.6-fpm'
        - 'php5.6-intl'
        - 'php5.6-mcrypt'
        - 'php5.6-enchant'
        - 'php5.6-gd'
        - 'php5.6-memcache'
        - 'php5.6-xml'
        - 'php5.6-xmlrpc'
        - 'php5.6-memcached'
        - 'php5.6-mbstring'
        - 'php5.6-curl'
        - 'php5.6-mysql'
        - 'php5.6-imagick'
        - 'php5.6-zip'
        - 'php5.6-sqlite3'
        - 'php5.6-bcmath'
        - 'php-pear'
    pecl_packages:
        - {name: zmq, package: zmq-beta}
xdebug:
    install: '1'
composer:
    install: '1'

mailcatcher:
    install: '1'

# setting global compilation path
source_dir: /tmp
bin_dir: /usr/local/bin
build_dir: /tmp
